## kunitconversion 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KUnitConversion VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5UnitConversion")

ecm_setup_version(PROJECT VARIABLE_PREFIX KUNITCONVERSION
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kunitconversion_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfigVersion.cmake"
                        SOVERSION 5)

# QCH
include(ECMAddQch)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5UnitConversion_QCH
        FILE KF5UnitConversionQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5UnitConversionQchTargets.cmake\")")
endif()

# I18n
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"kunitconversion5\")
ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
# create a Config.cmake and a ConfigVersion.cmake file and install them
include(CMakePackageConfigHelpers)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5UnitConversionConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KF5UnitConversionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5UnitConversionTargets.cmake NAMESPACE KF5:: )
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kunitconversion_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUnitConversion COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kunitconversion (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:27 +0100

kunitconversion (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:06 +0100

kunitconversion (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:29 +0100

kunitconversion (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:01 +0100

kunitconversion (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:43 +0200

kunitconversion (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:34 +0200

kunitconversion (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:03 +0200

kunitconversion (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kunitconversion (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kunitconversion (5.90.0-2) unstable; urgency=medium

  * Adapt symbols for archs having differences.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Feb 2022 21:52:32 +0100

kunitconversion (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kunitconversion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunitconversion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunitconversion.git
Rules-Requires-Root: no

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.103.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5unitconversion-doc (= ${source:Version}),
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42),

## kunitconversion 5.104.0

=== debian/changelog ===
kunitconversion (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:28 +0000

kunitconversion (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:17 +0000

kunitconversion (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:49 +0000

kunitconversion (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:28 +0000

kunitconversion (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:46 +0000

kunitconversion (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:01:02 +0000

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kunitconversion
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
Rules-Requires-Root: no

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.104.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5unitconversion-doc (= ${source:Version})
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42)

## kunitconversion 5.109.0

=== debian/changelog ===
kunitconversion (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:12 +0100

kunitconversion (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:22:40 +0100

kunitconversion (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:23 +0100

kunitconversion (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:48:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -33,7 +33,7 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.104.0~),
+Depends: libkf5i18n-dev (>= 5.109.0~),
          libkf5unitconversion5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kunitconversion 5.110.0

=== debian/changelog ===
kunitconversion (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -33,7 +33,7 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.109.0~),
+Depends: libkf5i18n-dev (>= 5.110.0~),
          libkf5unitconversion5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kunitconversion 5.113.0

=== debian/changelog ===
kunitconversion (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:28 +0000

kunitconversion (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:23 +0000

kunitconversion (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:00:06 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -33,7 +33,7 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.110.0~),
+Depends: libkf5i18n-dev (>= 5.113.0~),
          libkf5unitconversion5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kunitconversion 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== src/CMakeLists.txt ===
add_library(KF5UnitConversion)
add_library(KF5::UnitConversion ALIAS KF5UnitConversion)

ecm_qt_declare_logging_category(KF5UnitConversion
    HEADER kunitconversion_debug.h
    IDENTIFIER LOG_KUNITCONVERSION
    CATEGORY_NAME kf.kunitconversion
    DESCRIPTION "kunitconversion"
    EXPORT KUNITCONVERSION
)

target_sources(KF5UnitConversion PRIVATE
    converter.cpp
    value.cpp
    unit.cpp
    unitcategory.cpp
    length.cpp
    area.cpp
    volume.cpp
    temperature.cpp
    velocity.cpp
    mass.cpp
    pressure.cpp
    energy.cpp
    currency.cpp
    power.cpp
    timeunit.cpp
    fuel_efficiency.cpp
    density.cpp
    acceleration.cpp
    force.cpp
    angle.cpp
    frequency.cpp
    thermal_conductivity.cpp
    thermal_flux.cpp
    thermal_generation.cpp
    voltage.cpp
    electrical_current.cpp
    electrical_resistance.cpp
    permeability.cpp
    binary_data.cpp
)

if (WIN32)
    # As stated in http://msdn.microsoft.com/en-us/library/4hwaceh6.aspx M_PI only gets defined
    # when using MSVC if _USE_MATH_DEFINES is defined (this is needed for angle.cpp)
    target_compile_definitions(KF5UnitConversion PRIVATE _USE_MATH_DEFINES)
endif()
ecm_generate_export_header(KF5UnitConversion
    BASE_NAME KUnitConversion
    EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kunitconversion/kunitconversion_export.h
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.91
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

set(kunitconversion_BUILD_INCLUDE_DIRS ${KUnitConversion_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KF5UnitConversion PUBLIC "$<BUILD_INTERFACE:${kunitconversion_BUILD_INCLUDE_DIRS}>")
target_include_directories(KF5UnitConversion INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KUnitConversion>")

target_link_libraries(KF5UnitConversion PUBLIC  Qt${QT_MAJOR_VERSION}::Core
                                        PRIVATE Qt${QT_MAJOR_VERSION}::Network
                                                KF5::I18n
)

set_target_properties(KF5UnitConversion PROPERTIES VERSION   ${KUNITCONVERSION_VERSION}
                                                   SOVERSION ${KUNITCONVERSION_SOVERSION}
                                                   EXPORT_NAME UnitConversion
)

ecm_generate_headers(KUnitConversion_CamelCase_HEADERS
    HEADER_NAMES
    Converter
    Value
    Unit
    UnitCategory

    PREFIX KUnitConversion
    REQUIRED_HEADERS KUnitConversion_HEADERS
)
install(FILES ${KUnitConversion_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUnitConversion/KUnitConversion COMPONENT Devel)

install(TARGETS KF5UnitConversion EXPORT KF5UnitConversionTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kunitconversion/kunitconversion_export.h
    ${KUnitConversion_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUnitConversion/kunitconversion COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KUNITCONVERSION
    FILE kunitconversion.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5UnitConversion_QCH
        NAME KUnitConversion
        BASE_NAME KF5UnitConversion
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KUnitConversion_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${kunitconversion_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            KUNITCONVERSION_EXPORT
            KUNITCONVERSION_DEPRECATED
            KUNITCONVERSION_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KUnitConversion LIB_NAME KF5UnitConversion DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KUnitConversion)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kunitconversion (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:12:54 +0200

kunitconversion (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Mar 2024 23:59:44 +0100

kunitconversion (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:37 +0200

kunitconversion (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:56 +0100

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kunitconversion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunitconversion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunitconversion.git
Rules-Requires-Root: no

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.115.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5unitconversion-doc (= ${source:Version}),
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42),

## kunitconversion 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kunitconversion (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kunitconversion
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunitconversion
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunitconversion.git
@@ -33,7 +33,7 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.115.0~),
+Depends: libkf5i18n-dev (>= 5.116.0~),
          libkf5unitconversion5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kunitconversion 5.116.0+p24.04+vstable+git20250901.0337

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vstable+git20250901.0337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 03:37:22 +0000

kunitconversion (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:44:16 +1000

kunitconversion (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:41:46 +0000

kunitconversion (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:29:42 +0000

kunitconversion (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:08:45 +0000

kunitconversion (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:51:20 +0000

kunitconversion (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 16:39:56 +0000

kunitconversion (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:32:02 +0000

kunitconversion (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 09:06:53 +0000

kunitconversion (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:15:58 +0000

kunitconversion (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:47:50 +0000

kunitconversion (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:06:15 +0000

kunitconversion (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:01:16 +0000

kunitconversion (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:35:52 +0000

kunitconversion (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:40:59 +0000

kunitconversion (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:02:02 +0000

kunitconversion (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:04:05 +0000

kunitconversion (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:14:48 +0000

kunitconversion (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:27:48 +0000

kunitconversion (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:35:33 +0000

kunitconversion (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:10:38 +0000

kunitconversion (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:39:00 +0000

kunitconversion (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:19:31 +0000

kunitconversion (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Mar 2022 11:40:14 +0000

kunitconversion (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:10:31 +0000

kunitconversion (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:27:37 +0000

kunitconversion (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Nov 2021 18:03:12 +0000

kunitconversion (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 00:33:07 +0000

kunitconversion (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:11 +0000

kunitconversion (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:55 +0000

kunitconversion (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:28:27 +0000

kunitconversion (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:16 +0000

kunitconversion (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:11 +0000

kunitconversion (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:01 +0000

kunitconversion (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:29 +0000

kunitconversion (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:26:30 +0000

kunitconversion (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:08:01 +0000

kunitconversion (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:30 +0000

kunitconversion (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:43:09 +0000

kunitconversion (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:34:18 +0000

kunitconversion (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:09:48 +0000

kunitconversion (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:44:27 +0000

kunitconversion (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:57:43 +0000

kunitconversion (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:15 +0000



## kunitconversion 5.116.0+p24.04+vstable+git20251003.0301

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vstable+git20251003.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 03:01:45 +0000

## kunitconversion 5.116.0+p24.04+vstable+git20251015.0828

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vstable+git20251015.0828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:28:48 +0000

## kunitconversion 5.116.0+p24.04+vstable+git20251019.0409

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vstable+git20251019.0409-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:09:26 +0000

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5i18n-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kunitconversion
Vcs-Git: https://invent.kde.org/neon/kde/kunitconversion.git
Vcs-Browser: https://invent.kde.org/neon/kde/kunitconversion
Maintainer: Neon CI <neon@kde.org>

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.51.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5unitconversion-doc (= ${source:Version})
Breaks: libkf5kdelibs4support-dev (<< 5.51),
        libkf5unitconversion-doc (<< 5.61.90-0)
Replaces: libkf5unitconversion-doc (<< 5.61.90-0)
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42)

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kunitconversion-([\d.]+)\.tar\.xz

## kunitconversion 5.116.0+p24.04+vstable+git20251220.0115

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vstable+git20251220.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 01:15:51 +0000

## kunitconversion 5.116.0+p24.04+vstable+git20260102.1118

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vstable+git20260102.1118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:18:20 +0000

## kunitconversion 5.116.0+p24.04+vunstable+git20251009.0344

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vunstable+git20251009.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 03:44:35 +0000

## kunitconversion 5.116.0+p24.04+vunstable+git20251015.0946

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vunstable+git20251015.0946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:47:07 +0000

## kunitconversion 5.116.0+p24.04+vunstable+git20251020.0214

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vunstable+git20251020.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:14:51 +0000

## kunitconversion 5.116.0+p24.04+vunstable+git20251124.0001

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vunstable+git20251124.0001-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 00:01:05 +0000

## kunitconversion 5.116.0+p24.04+vunstable+git20251124.1244

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vunstable+git20251124.1244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 12:44:28 +0000

## kunitconversion 5.116.0+p24.04+vunstable+git20260105.1154

=== debian/changelog ===
kunitconversion (5.116.0+p24.04+vunstable+git20260105.1154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:54:52 +0000
